Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail
Class IllegalWriteException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.mail.MessagingException
                  javax.mail.IllegalWriteException

All Implemented Interfaces:
  Serializable

    public class IllegalWriteException

extends MessagingException

The exception thrown when a write is attempted on a read-only attribute of any Messaging object.

See Also:
  Serialized Form

Constructor Summary
`IllegalWriteException()` Constructs a IllegalWriteException with no detail message.
`IllegalWriteException(String s)` Constructs a IllegalWriteException with the specified detail message.

Method Summary

Methods inherited from class javax.mail.MessagingException
`getCause, getNextException, setNextException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalWriteException

    public IllegalWriteException()

  Constructs a IllegalWriteException with no detail message.

### IllegalWriteException

    public IllegalWriteException(String s)

  Constructs a IllegalWriteException with the specified detail message.

  Parameters:
    `s` - the detail message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Sun Microsystems, Inc.. All Rights Reserved.